{
  "name": "@winsea-product/winsea-product-enterprise-front",
  "version": "1.4.10",
  "description": "运营后台前端",
  "author": "赢海科技",
  "scripts": {
    "dev": "vue-cli-service serve",
    "build:prod": "vue-cli-service build",
    "build:test": "vue-cli-service build --mode test",
    "build:stage": "vue-cli-service build --mode staging",
    "preview": "node build/index.js --preview",
    "lint": "eslint --ext .js,.vue src",
    "test:unit": "vue-cli-service test:unit",
    "test:ci": "npm run lint && npm run test:unit",
    "svgo": "svgo -f src/icons/svg --config=src/icons/svgo.yml",
    "new": "plop"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "src/**/*.{js,vue}": [
      "eslint --fix",
      "git add"
    ]
  },
  "keywords": [
    "vue",
    "admin",
    "dashboard",
    "element-ui",
    "boilerplate",
    "admin-template",
    "management-system"
  ],
  "repository": {
    "type": "git",
    "url": "git+https://github.com/PanJiaChen/vue-element-admin.git"
  },
  "bugs": {
    "url": "https://github.com/PanJiaChen/vue-element-admin/issues"
  },
  "dependencies": {
    "ali-oss": "^6.1.1",
    "axios": "^0.19.0",
    "element-ui": "2.12.0",
    "js-cookie": "^2.2.1",
    "lodash": "^4.17.15",
    "normalize.css": "7.0.0",
    "nprogress": "0.2.0",
    "script-ext-html-webpack-plugin": "^2.1.4",
    "sortablejs": "^1.10.1",
    "tinymce": "^5.2.0",
    "vue": "2.6.10",
    "vue-i18n": "^8.17.5",
    "vue-router": "3.0.2",
    "vuex": "3.1.0"
  },
  "devDependencies": {
    "@babel/core": "7.0.0",
    "@babel/register": "^7.6.0",
    "@vue/cli-plugin-babel": "^3.11.0",
    "@vue/cli-service": "3.5.3",
    "babel-eslint": "10.0.1",
    "eslint": "^5.16.0",
    "eslint-plugin-vue": "5.2.2",
    "html-webpack-plugin": "^4.2.1",
    "lint-staged": "8.1.5",
    "node-sass": "^4.14.1",
    "sass-loader": "^7.1.0",
    "svg-sprite-loader": "^4.1.6",
    "vue-template-compiler": "2.6.10"
  },
  "engines": {
    "node": ">=8.9",
    "npm": ">= 3.0.0"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 8"
  ],
  "files": [
    "dist"
  ],
  "publishConfig": {
    "registry": "http://47.101.10.107:8081/repository/npm-hossted/"
  }
}
